CVC4::expr::ExprSetLanguage Class Reference

IOStream manipulator to set the output language for Exprs. More...

`#include <expr.h>`

## Data Structures

class | Scope
| Set a language on the output stream for the current stack scope. More...

## Public Member Functions

| ExprSetLanguage (OutputLanguage l)
| Construct a ExprSetLanguage with the given setting.
void | applyLanguage (std::ostream &out)

## Static Public Member Functions

static OutputLanguage | getLanguage (std::ostream &out)
static void | setLanguage (std::ostream &out, OutputLanguage l)

## Detailed Description

IOStream manipulator to set the output language for Exprs.

Definition at line 914 of file expr.h.

## Constructor & Destructor Documentation

## ExprSetLanguage()

CVC4::expr::ExprSetLanguage::ExprSetLanguage | ( | OutputLanguage | l | ) |

inline

Construct a ExprSetLanguage with the given setting.

Definition at line 936 of file expr.h.

## Member Function Documentation

## applyLanguage()

void CVC4::expr::ExprSetLanguage::applyLanguage | ( | std::ostream & | out | ) |

inline

Definition at line 938 of file expr.h.

Referenced by CVC4::expr::operator<<().

## getLanguage()

static OutputLanguage CVC4::expr::ExprSetLanguage::getLanguage | ( | std::ostream & | out | ) |

inlinestatic

Definition at line 943 of file expr.h.

## setLanguage()

static void CVC4::expr::ExprSetLanguage::setLanguage | ( | std::ostream & | out,
|  | OutputLanguage | l )

inlinestatic

Definition at line 963 of file expr.h.

The documentation for this class was generated from the following file:

- builds/powerpc-apple-darwin10.0.0d2/production/src/expr/expr.h